سيبدأ Google Play Protect في تحذير المستخدمين عندما يحاولون تثبيت تطبيقات تستهدف إصدارات Android الأقدم

في العام الماضي ، فرضت Google متطلبات جديدة في Google Play لإجبار تطبيقات Android على استهداف مستوى أحدث من واجهة برمجة التطبيقات. السبب وراء قرار Google هو التأكد من حماية جميع المستخدمين من خلال تدابير الأمان التي تم إدخالها في الإصدارات الأحدث من Android ، مثل قيود تطبيق الخلفية وأذونات وقت التشغيل. وفقًا لـ Google ، في عام 2018 ، أضاف أكثر من 150،000 تطبيق دعمًا لأذونات وقت التشغيل ، وهي ميزة تم تقديمها لأول مرة في Android 6.0 Marshmallow (مستوى API 23). ابتداءً من شهر أغسطس من عام 2018 ، كانت جميع التطبيقات الجديدة المقدمة إلى Google Play مطلوبة لاستهداف Android 8.0 Oreo (مستوى API 26) أو أعلى ، في حين يتعين على تحديثات التطبيقات الحالية المقدمة بعد نوفمبر 2018 أن تستهدف مستوى API 26. الآن ، أعلنت Google يقومون بتحديث هذه القيود لدفع التطبيقات لاستهداف مستويات أحدث من واجهة برمجة التطبيقات ، كما وعدوا في البداية. فيما يلي الجداول الزمنية الجديدة:

  • أغسطس 2019: هناك حاجة إلى تطبيقات جديدة لاستهداف نظام Android 9 Pie (مستوى API 28) أو أعلى.
  • نوفمبر 2019: تحديثات التطبيقات الحالية مطلوبة لاستهداف مستوى API 28 أو أعلى.

هذه التغييرات ليست مفاجئة ، لأننا علمنا بالفعل بشأن قيود مستوى واجهة برمجة التطبيقات المتقدمة على متجر Google Play. ومع ذلك ، أصدرت Google إعلانًا جديدًا نعتقد أنه أكثر أهمية للمستخدمين. على الرغم من حصول Google على بعض أسواق التطبيقات الصينية الرئيسية من Huawei و OPPO و Vivo و Xiaomi و Baidu و Alibaba و Tencent للبدء أيضًا في اشتراط أن تستهدف التطبيقات مستويات API أحدث ، فإن Google ستعالج أيضًا مصادر التثبيت الأخرى. على ما يبدو ، ستستخدم الشركة خدمة Play Protect لتحذير المستخدمين من تطبيق على وشك تثبيت أهداف على مستوى واجهة برمجة تطبيقات أقدم. وهنا الجداول الزمنية:

  • أغسطس 2019: ستتلقى التطبيقات الجديدة تحذيرات أثناء التثبيت إذا لم تستهدف Android 8.0 Oreo (مستوى API 26) أو أعلى.
  • نوفمبر 2019: ستتلقى الإصدارات الجديدة من التطبيقات الحالية تحذيرات أثناء التثبيت إذا لم تكن تستهدف مستوى API 26 أو أعلى.
  • عام 2020 فصاعدًا: سيتقدم شرط مستوى واجهة برمجة التطبيقات المستهدفة سنويًا.

من الجيد أن نرى أن Google تتخذ خطوات جذرية لتحسين حالة الأمن على نظام أندرويد. بينما يتم تصحيح نظام Android بشكل مستمر ليكون أكثر أمانًا ، إلا أن الأجهزة تحتاج إلى وقت طويل للحصول على تحديثات Android الرئيسية بحيث يتم ترك العديد من المستخدمين عرضة للمشاكل الموجودة في إصدارات Android الأقدم. وفقًا لـ Google ، فإن أكثر من 95٪ من مستوى API المستهدف لبرامج التجسس هو 22 أو أقل ، والذي لا يدعم أذونات وقت التشغيل. طلب التطبيقات المحدثة من المطورين كان بالفعل خطوة ذكية من الشركة. الحصول على أسواق خارجية من الصين على متن الطائرة واستخدام Play Protect لفرض مستويات أحدث من واجهة برمجة التطبيقات يأخذ الأمور إلى المستوى التالي.


المصدر: مدونة Android Developers